<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_centerInParent="true"
    android:background="@drawable/background_shape_white_radius_6">

    <TextView
        android:id="@+id/title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="24dp"
        android:layout_marginRight="24dp"
        android:drawablePadding="4dp"
        android:textColor="@color/text_title"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="领取成功" />

    <LinearLayout
        android:id="@+id/libaoContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="24dp"
        android:layout_marginTop="16dp"
        android:layout_marginRight="24dp"
        android:background="@drawable/bg_shape_fa_radius_6"
        android:orientation="horizontal"
        android:padding="12dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/title">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="礼包码："
            android:textColor="@color/text_title"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/libaoCodeTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:lineSpacingExtra="7dp"
            android:textColor="@color/theme_font"
            android:textSize="14sp"
            tools:text="xxxx" />
    </LinearLayout>


    <TextView
        android:id="@+id/desTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="36dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="36dp"
        android:lineSpacingExtra="6dp"
        android:textColor="@color/text_subtitle"
        android:textSize="12sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/libaoContainer"
        tools:text="你已领取过相同的礼包。可能无法成功兑换" />


    <View
        android:id="@+id/line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginTop="24dp"
        android:background="@color/divider"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/desTv" />

    <TextView
        android:id="@+id/cancel"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:paddingTop="18dp"
        android:paddingBottom="18dp"
        android:text="关闭"
        android:textColor="@color/text_title"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/confirm"
        app:layout_constraintTop_toBottomOf="@id/line" />

    <View
        android:id="@+id/middle_line"
        android:layout_width="1dp"
        android:layout_height="0dp"
        android:background="@color/divider"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="@id/confirm"
        app:layout_constraintTop_toBottomOf="@id/line" />

    <TextView
        android:id="@+id/confirm"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:paddingTop="18dp"
        android:paddingBottom="18dp"
        android:text="复制礼包码"
        android:textColor="@color/theme_font"
        android:textSize="14sp"
        app:layout_constraintLeft_toRightOf="@id/cancel"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/line" />

</androidx.constraintlayout.widget.ConstraintLayout>